org.apache.commons.cli

## Interface CommandLineParser

All Known Implementing Classes:
  BasicParser, DefaultParser, GnuParser, Parser, PosixParser

    public interface CommandLineParser

A class that implements the `CommandLineParser` interface can parse a String array according to the `Options` specified and return a `CommandLine`.

Version:
  $Id: CommandLineParser.java 1443102 2013-02-06 18:12:16Z tn $

### Method Summary

All Methods Instance Methods Abstract Methods
`CommandLine` `parse(Options options, String[] arguments)` Parse the arguments according to the specified options.
`CommandLine` `parse(Options options, String[] arguments, boolean stopAtNonOption)` Parse the arguments according to the specified options.

### Method Detail

#### parse

    CommandLine parse(Options options,
                      String[] arguments)
               throws ParseException

Parse the arguments according to the specified options.

Parameters:
  `options` - the specified Options
  `arguments` - the command line arguments
Returns:
  the list of atomic option and value tokens
Throws:
  `ParseException` - if there are any problems encountered while parsing the command line tokens.

#### parse

    CommandLine parse(Options options,
                      String[] arguments,
                      boolean stopAtNonOption)
               throws ParseException

Parse the arguments according to the specified options.

Parameters:
  `options` - the specified Options
  `arguments` - the command line arguments
  `stopAtNonOption` - if `true` an unrecognized argument stops the parsing and the remaining arguments are added to the `CommandLine`s args list. If `false` an unrecognized argument triggers a ParseException.
Returns:
  the list of atomic option and value tokens
Throws:
  `ParseException` - if there are any problems encountered while parsing the command line tokens.